0支付平台

作者:操作系统

CentOS 7 下搭建Python2.7 + PyQt4.11.3 + Eric4.0开发平台

安装Python2.7
CentOS 7默认安装了Python2.7 。故Python2.7的安装可略去

安装Qt4.8.7

qt-everywhere-opensource-src-4.8.7.tar

# tar -zxvf  qt-everywhere-opensource-src-4.8.7.tar

# cd qt-everywhere-opensource-src-4.8.7

# ./configure

# make

# make install

将/usr/bin下的qmake软连接到/opt/Qt/5.3/gcc/bin/qmake上

ln -s /usr/local/Trolltech/Qt-4.8.7/bin/qmake /usr/bin/qmake

安装SIP
版本 sip-4.16.7.tar

官网上说:“Before you can build PyQt4 you must have already built and installed SIP” 意思是说必须先安装SIP,于是也下载了SIP。

解压SIP压缩包,进入源码目录,打开README,说是当前目录下有一个build.py,结果我没有找到。但找到了一个configure.py的代码。于是我执行它

$ python configure.py

正常完成,并生成了Makefile。我下意识地执行make,结果:

gcc -c -pipe -fPIC -O2 -w -DNDEBUG -I. -I/usr/include/python2.6 -o siplib.o siplib.c
siplib.c:20:20: fatal error: Python.h: No such file or directory
 #include <Python.h>
                    ^
compilation terminated.
make[1]: *** [siplib.o] Error 1
make[1]: Leaving directory `/home/hevake_lcj/Install/qt-downloads/sip-4.15.3/siplib'
make: *** [all] Error 2

通常这种问题出在系统没有安装组件的开发板,只提供了库文件,并没有提供对应的头文件,不能进行二次开发。解决文件就是安装python-devel

$ sudo yum install python-devel

完成安装。再make,顺利通过编译。再sudo make install,也很顺利。

安装PyQt4
版本  PyQt-x11-gpl-4.11.3.tar

解压下载的:PyQt-x11-gpl-4.10.3.tar.gz

进入源码目录,打开README,按说明的步骤:先执行configure.py脚本,然后make,make install。

因为我在使用 eric4 的时候  出现错误

ImportError: No module named QtWebKit

原因是在编译 PyQt 的时候  没有安装 QtWebKit  导致没有编译那个模块
 
所以在编译之前  yum install qtwebkit

$ python configure-ng.py
Querying qmake about your Qt installation...
Determining the details of your Qt installation...
This is the GPL version of PyQt 4.10.3 (licensed under the GNU General Public
License) for Python 2.6.6 on linux2.
 
Type '2' to view the GPL v2 license.
Type '3' to view the GPL v3 license.
Type 'yes' to accept the terms of the license.
Type 'no' to decline the terms of the license.
 
Do you accept the terms of the license? yes

由于这是GPL,所以在执行configure.py时让我们同意协议。输入yes继续。

用了1min顺利完成!接着make,这个过程有一点长,花了20分钟,很顺利。

安装QScintilla2
版本 QScintilla-gpl-2.9.tar 

# tar -xzvf QScintilla-gpl-2.8.4.tar.gz

# cd QScintilla-gpl-2.8.4

1.安装本体

# cd Qt4Qt5 

# qmake qscintilla.pro 

# sudo make  make install 

2.安装designer

# cd ../designer-Qt4Qt5 

# qmake designer.pro 

# sudo make 

# sudo make install 

3.安装python bingdings

# cd ../Python 

# python3 configure.py

# sudo make

# sudo make install 

安装Eric4
版本  eric4-4.5.25.tar

中文包 eric4-i18n-zh_CN.GB2312-4.5.25.tar

# tar -zxvf eric6-6.0-snapshot-20140720.tar.gz

# tar -zxvf eric6-i18n-zh_CN.GB2312-6.0-snapshot-20140720.tar.gz    //语言包文件会自动解压到Eric6.0主文件解压目录中

# cd eric6-6.0-snapshot-20140720

# sudo python3 install.py          //安装主程序

# sudo python3 install-i18n.py  //安装中文语言包 

# sudo eric4  运行

图片 1

配置过程:
终端输入eric6启动:

1、选择Settings -> preference -> Editor -> Autocompation。勾选所有选框;

图片 2

2、选择Settings -> preference -> Editor -> QScintilla 。勾上左右的两个选框,然后在下面source中,选择from Document and API files;

图片 3

3、选择Settings -> preference -> Editor -> APIs。勾选Complie APIs Autocompation,在Language中,选择python3。点面下面的Add from installed APIs按钮,选择住需要的.api文件。最后点击Compile APIs;

图片 4

4、选择Settings -> preference -> Interface -> Interface。右侧Language根据喜好选择中文或者English。重启生效。

图片 5

配置完成。

Mac OS X 10.11.1下搭建Python3.4 + PyQt5.5.1 +Eric6.1.1开发平台  http://www.linuxidc.com/Linux/2016-01/127677.htm

Ubuntu 14.04下搭建Python3.4 + PyQt5.3.2 + Eric6.0开发平台  http://www.linuxidc.com/Linux/2015-12/126176.htm

PyQt 的详细介绍:请点这里
PyQt 的下载地址:请点这里

本文永久更新链接地址:http://www.linuxidc.com/Linux/2016-07/133470.htm

图片 6

本文由金冠53777-金冠娱乐53777-Welcome发布,转载请注明来源

关键词: